unit uTypes;
{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

const
  StateOk  : string = '0';
  StateNew : string = '1';
  StateDel : string = '2';
  StateChg : String = '3';

  ExtCub = '.cub';
  ExtDef = '.def';
  ExtDim = '.dim';
  ExtLst = '.lst';


var
  fPathProg : String;
  fPathData : String;

Type
  tOrientation = (Asc,Desc);
  tCompareMode = (tcPartly,tcComplete);
  tDirection   = (tdForward,tdBackward);

  tDimType = (tdtElement,tdtGroup,tdtUser);


implementation

initialization
fPathProg := extractFilePath(paramstr(0));
fPathData := fPathProg + 'Data\';

end.

